extends MeshInstance


# Declare member variables here. Examples:
# var a = 2
# var b = "text"


# Called when the node enters the scene tree for the first time.
func _ready():
	call("spawn_everything")
func spawn_everything():
	for k in get_children():
		if k.name.begins_with("spawn_"):
			if k.name.begins_with("spawn_player"):
				if scenario.castle1_captured:
					scenario.emit_signal("spawn_player", k.global_transform)
			else:
				k.add_to_group("spawn")
			if k.name.begins_with("spawn_courtmaid"):
				k.add_to_group("female")
				k.add_to_group("courtmaid")
				k.set_meta("roster", ["castle1", "courtroom"])
			if k.name.begins_with("spawn_mystress"):
				k.add_to_group("female")
				k.add_to_group("mystress")
				k.set_meta("roster", ["castle1", "courtroom"])
			if k.name.begins_with("spawn_tied_male"):
				k.add_to_group("male")
				k.add_to_group("captured")
				k.set_meta("roster", ["castle1", "courtroom"])
			print("SPAWN!! ", k.name)
